Members Set Profile
Authentication
AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.
Obtain via the authorization code flow with team-scoped permissions.
Grants access to team-wide administrative operations.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Request
This endpoint expects an object.
user
Identity of user whose profile will be set.
Variant:
team.UserSelectorArg.team_member_id
new_email
New email for member.
new_external_id
New external ID for member.
new_given_name
New given name for member.
new_is_directory_restricted
New value for whether the user is a directory restricted user.
new_persistent_id
New persistent ID. This field only available to teams using persistent ID SAML configuration.
new_surname
New surname for member.
Response headers
X-Dropbox-Request-Id
A unique identifier for the request, useful for debugging and support.
Response
Successful response
profile
Profile of a user as a member of a team.
role
The user's role in the team.
Variant:team.AdminTier.team_admin
team.AdminTier.team_admin
User is an administrator of the team - has all permissions.
Errors
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error